Chris Marsh

What version of OpenSSL is being used in 2.0.5?

2 posts in this topic

So I was wondering does anyone know what version of OpenSSL is being used in 2.0.5?  I can't trash my config installing 2.x again to look.

I am still on Synergy 1.8 waiting for some of 2.x 's features to mature and become more robust (rename, remove dups, no need for internet at all other then auth and update checking).  Since the version of OpenSSL in Synergy 1.8 is 3 years old and as such would be considered a security risk by most IT security teams or security software.  It would be nice if the OpenSSL in 1.x could be updated while those that are waiting for 2.x to finish becoming more mature and robust.  Love the product and want to get to 2.x as soon as it have more matured more, just need to make sure it is secured so my machine is not banned from customer networks or required to remove Synergy because it is using a 3 yr old OpenSSL with vulnerabilities in it. 

Share this post


Link to post
Share on other sites

Synergy 1.8 is super-neat, lightweight, and does everything it is supposed to do (i.e. act as a software KVM switch with benefits).  Manual configuration is not difficult, particularly if you have set your DHCP to handout fixed addresses.  I don't use SSL because response slows down too much and it is a private network anyway - but some people might need it and using a newer version of SSL would be a good idea.   I don't like Synergy2's initial need to connect to an internet server for a whole stack of reasons

My only (recent) minor beef with Synergy 1.8.8 is that the GUI copes poorly with a 4K screen.

From the forums, it seems that Synergy2 still needs a lot of work, so how about a really polished Synergy 1.9 while Synergy2 gets its act together?

Still love Synergy so whaddaya say Nick?

  • Like 1

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now